- args:
    permission:
      allow_upsert: true
      check:
        bodyshop:
          associations:
            _and:
            - user:
                authid:
                  _eq: X-Hasura-User-Id
            - active:
                _eq: true
      columns:
      - due_date
      - discount
      - prompt_discount
      - city
      - country
      - display_name
      - email
      - name
      - state
      - street1
      - street2
      - taxid
      - terms
      - zip
      - created_at
      - updated_at
      - bodyshopid
      - id
      localPresets:
      - key: ""
        value: ""
      set: {}
    role: user
    table:
      name: vendors
      schema: public
  type: create_insert_permission
